seo:
  title: How to play GitLab's Capture the Flag at home
  description: >-
    Our AppSec team built and ran a CTF, and now it's available for you to play
    at home.
  ogTitle: How to play GitLab's Capture the Flag at home
  ogDescription: >-
    Our AppSec team built and ran a CTF, and now it's available for you to play
    at home.
  noIndex: false
  ogImage: images/blog/hero-images/gitlab_ctf.png
  ogUrl: https://about.gitlab.com/blog/how-to-play-gitlab-ctf-at-home
  ogSiteName: https://about.gitlab.com
  ogType: article
  canonicalUrls: https://about.gitlab.com/blog/how-to-play-gitlab-ctf-at-home
  schema: |2-

                            {
            "@context": "https://schema.org",
            "@type": "Article",
            "headline": "How to play GitLab's Capture the Flag at home",
            "author": [{"@type":"Person","name":"Joern Schneeweisz"}],
            "datePublished": "2020-08-12",
          }

content:
  title: How to play GitLab's Capture the Flag at home
  description: >-
    Our AppSec team built and ran a CTF, and now it's available for you to play
    at home.
  authors:
    - Joern Schneeweisz
  heroImage: images/blog/hero-images/gitlab_ctf.png
  date: '2020-08-12'
  body: >


    The GitLab Application Security team created a [Capture the Flag
    (CTF)](https://en.wikipedia.org/wiki/Capture_the_flag#Computer_security)
    contest for GitLab team members in mid-March to provide a fun, hands-on
    AppSec experience for those who were interested in a little friendly
    competition.


    We've reworked this contest a bit so now you can solve the challenges at
    home!

    And, even better, because we created this CTF with all of our GitLab team
    members in mind, there's a wide variety of beginner-friendly challenges,
    most of which are related to web security.


    ## Run it at home

    All you need to run this at home is
    [Docker](https://docs.docker.com/get-docker/) and [Docker
    Compose](https://docs.docker.com/compose/install/). The [CTF-at-home
    repository](https://gitlab.com/gitlab-com/gl-security/ctf-at-home) is where
    we're releasing the challenges within a `docker-compose` file. Be sure to
    have a look at the
    [README](https://gitlab.com/gitlab-com/gl-security/ctf-at-home/-/blob/master/README.md)
    for set-up instructions.


    Running the challenges should be as simple as:


    ```

    git clone https://gitlab.com/gitlab-com/gl-security/ctf-at-home.git

    cd ctf-at-home

    docker-compose up

    ```


    And then, visit `http://capture.local.thetanuki.io` to get to the landing
    page. Fingers crossed🤞, it worked on my machine 😉.


    ## Try your hand at solving some challenges, then tell us about it


    To keep it beginner friendly, the run-at-home CTF also includes spoilers and
    solutions for all challenges. If you have trouble running the CTF feel free
    to [create an issue
    here](https://gitlab.com/gitlab-com/gl-security/ctf-at-home/-/issues/new).


    If you run the CTF at home and solve some challenges, we're happy to hear
    your feedback, or even see some write-ups. Feel free to share your
    experience in the comments below or tweet
    [@gitlab](https://twitter.com/gitlab).


    ## Our results 🥁


    We initially planned this CTF contest for [GitLab
    Contribute](/events/gitlab-contribute/), our company-wide get together,
    which was to be held in Prague at end of March. While COVID-19 made the
    physical get-together impossible, this CTF was perfect for running worldwide
    online and across GitLab teams. We ran the challenges from March 16 to March
    27, 2020 and had a total of 50 GitLab team members participate in CTF.


    ### Team member testimonials


    From a CTF coordinator perspective, running the contest was a great
    experience. Thankfully, the players were having a good time as well and we
    received lots of positive feedback, including:


    > It was great to collaborate with folks from all different functional
    groups at GitLab and all around the world. We learned a lot from each other
    and everyone was able to contribute!


    -- [@stkerr](/company/team/#stkerr)


    > The perfect mixture of challenges, ranging from very awesome and
    interesting, to very awesome and challenging. 😆


    -- [@cat](/company/team/#cat)


    ### Hall of Fame


    Meet our top twenty players


    1. [@cat](/company/team/#cat)

    2. [@ayufan](/company/team/#ayufan)

    3. [@engwan](/company/team/#engwan)

    4. [@vitallium](/company/team/#vitallium)

    5. [@stkerr](/company/team/#stkerr)

    6. [@T4cC0re](/company/team/#T4cC0re)

    7. [@xanf](/company/team/#xanf)

    8. [@ahmadsherif](/company/team/#ahmadsherif)

    9. [@mbobin](/company/team/#mbobin)

    10. [@jrreid](/company/team/#jrreid)

    11. [@djadmin](/company/team/#djadmin)

    12. [@vij](/company/team/#vij)

    13. [@robotmay](/company/team/#robotmay_gitlab)

    14. [@kgoossens](/company/team/#kgoossens)

    15. [@simon_mansfield](/company/team/#simon_mansfield)

    16. [@alan](/company/team/#alan)

    17. [@SteveTerhar](/company/team/#SteveTerhar)

    18. [@rchan-gitlab](/company/team/#rchan-gitlab)

    19. [@razer6](/company/team/#razer6)

    20. [@floudet](/company/team/#floudet)


    __Special shout-outs to [@cat](/company/team/#cat) and
    [@ayufan](/company/team/#ayufan) who both solved ALL the challenges in less
    than three days.__


    Because building the challenges and playing the CTF were such a positive
    experience for all involved, we wanted to make those CTF challenges public.
    We're hoping to have another CTF in the future, but in the meantime, let us
    know what you think of this one via comment below or
    [@gitlab](https://twitter.com/gitlab) on Twitter.


    Happy hacking!
  category: Security
  tags:
    - security
    - security research
    - open source
config:
  slug: how-to-play-gitlab-ctf-at-home
  featured: false
  template: BlogPost
